 #! /usr/bin/env python
"""
Testsuite
=========

Written by TR Maarleveld, Amsterdam, The Netherlands
E-mail: tmd200@users.sourceforge.net
Last Change: September 01, 2015
"""
import os,time,stochpy
smod = stochpy.SSA()

a = time.time()
testsuite_models =  ['dsmts-001-01.xml','dsmts-001-02.xml','dsmts-001-03.xml','dsmts-001-04.xml','dsmts-001-06.xml','dsmts-001-07.xml','dsmts-001-08.xml','dsmts-001-09.xml','dsmts-001-10.xml','dsmts-001-11.xml','dsmts-001-12.xml','dsmts-001-13.xml','dsmts-001-14.xml','dsmts-001-15.xml','dsmts-001-16.xml','dsmts-001-17.xml','dsmts-001-18.xml','dsmts-001-19.xml','dsmts-002-01.xml','dsmts-002-02.xml','dsmts-002-03.xml','dsmts-002-05.xml','dsmts-002-06.xml','dsmts-002-07.xml','dsmts-002-08.xml','dsmts-002-09.xml','dsmts-002-10.xml','dsmts-003-01.xml','dsmts-003-02.xml','dsmts-003-03.xml','dsmts-003-04.xml','dsmts-003-05.xml','dsmts-003-06.xml','dsmts-003-07.xml','dsmts-004-01.xml','dsmts-004-02.xml','dsmts-004-03.xml']
stochpy_methods = ['Direct','FirstReactionMethod','NextReactionMethod','TauLeaping']
for method in stochpy_methods:
    smod.Method(method)
    for model_name in testsuite_models:
        smod.Model(model_name)        
        smod.DoTestsuite(sim_trajectories=10000) 
        smod.Export2File(IsAverage = True ,directory = os.path.join(smod.output_dir,method))
b=time.time()
