# Stochastic Simulation Algorithm input file
# Qian et al. 2008 Kou et al 2005
# E+S <--> ES --> P

FIX: S

# Reactions
R1:
    E + S > ES
    k1f*E*S    
R2:
    ES > E + S
    k1b*ES
R3:
    ES > E + P
    k2f*ES
    
# Fixed species
S = 10

 
# Variable species
E = 1
ES = 0
P = 0
 
# Parameters
k1f = 1/15.0
k2f = 0.75
k1b = 1/12.0


